(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     11582,        351]
NotebookOptionsPosition[     10654,        326]
NotebookOutlinePosition[     11182,        345]
CellTagsIndexPosition[     11139,        342]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"<<", "VilCretas`"}]], "Input",
 CellChangeTimes->{{3.810466555885582*^9, 3.8104665624515867`*^9}, {
  3.810469038885318*^9, 3.8104690448683624`*^9}},
 CellLabel->"In[1]:=",ExpressionUUID->"dfccd010-85e0-44b9-b47c-7cec282cffd3"],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClasificacionRelBin", "[", 
   RowBox[{"R_", ",", "A_"}], "]"}], ":=", 
  RowBox[{"Module", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"MR", "=", 
       RowBox[{
        RowBox[{"MatrizRelBin", "[", 
         RowBox[{"R", ",", "A", ",", "A"}], "]"}], "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", "list"}], "}"}], ",", 
    RowBox[{
     RowBox[{"list", "=", 
      RowBox[{"Select", "[", 
       RowBox[{
        RowBox[{"Position", "[", 
         RowBox[{"MR", ",", "1"}], "]"}], ",", 
        RowBox[{
         RowBox[{
          RowBox[{"#", "[", 
           RowBox[{"[", "1", "]"}], "]"}], "\[NotEqual]", 
          RowBox[{"#", "[", 
           RowBox[{"[", "2", "]"}], "]"}]}], "&"}]}], "]"}]}], ";", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"!", 
        RowBox[{"MemberQ", "[", 
         RowBox[{
          RowBox[{"Diagonal", "[", "MR", "]"}], ",", "0"}], "]"}]}], ",", 
       RowBox[{
        RowBox[{"Transpose", "[", "MR", "]"}], "\[Equal]", "MR"}], ",", 
       RowBox[{
        RowBox[{"Select", "[", 
         RowBox[{"list", ",", 
          RowBox[{
           RowBox[{"MemberQ", "[", 
            RowBox[{"list", ",", 
             RowBox[{"Reverse", "[", "#", "]"}]}], "]"}], "&"}]}], "]"}], 
        "\[Equal]", 
        RowBox[{"{", "}"}]}], ",", 
       RowBox[{
        RowBox[{
         RowBox[{"UnionBooleana", "[", 
          RowBox[{
           RowBox[{
            RowBox[{"ProductoBooleano", "[", 
             RowBox[{"MR", ",", "MR"}], "]"}], "[", 
            RowBox[{"[", "1", "]"}], "]"}], ",", "MR"}], "]"}], "[", 
         RowBox[{"[", "1", "]"}], "]"}], "\[Equal]", "MR"}]}], "}"}]}]}], 
   "]"}]}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "=", 
     RowBox[{"Range", "[", "n", "]"}]}], ";", 
    RowBox[{"n", "\[Rule]", 
     RowBox[{"Position", "[", 
      RowBox[{
       RowBox[{"ClasificacionRelBin", "[", 
        RowBox[{
         RowBox[{"RelBin", "[", 
          RowBox[{"\"\<a<=b\>\"", ",", "A", ",", "A"}], "]"}], ",", "A"}], 
        "]"}], ",", "True"}], "]"}]}]}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "30"}], "}"}]}], "]"}]}], "Input",
 CellChangeTimes->{{3.810466570534788*^9, 3.81046665095047*^9}, {
  3.810466687319167*^9, 3.810466753384861*^9}, {3.810466809418436*^9, 
  3.8104668402184467`*^9}, {3.8104668824015484`*^9, 3.8104668826517844`*^9}, {
  3.8104673074181604`*^9, 3.8104673517515383`*^9}, {3.810467388501519*^9, 
  3.8104674216018276`*^9}, {3.8104676454022045`*^9, 3.810467645652282*^9}},
 CellLabel->"In[2]:=",ExpressionUUID->"c3f881fa-c1d0-4d57-8080-2a6e82f9576b"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "2", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"2", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"3", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"4", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"5", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"6", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"7", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"8", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"9", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"10", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"11", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"12", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"13", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"14", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"15", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"16", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"17", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"18", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"19", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"20", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"21", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"22", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"23", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"24", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"25", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"26", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"27", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"28", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"29", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}], ",", 
   RowBox[{"30", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", "1", "}"}], ",", 
      RowBox[{"{", "3", "}"}], ",", 
      RowBox[{"{", "4", "}"}]}], "}"}]}]}], "}"}]], "Output",
 CellChangeTimes->{
  3.810466760518368*^9, 3.810466813551778*^9, 3.8104669137850866`*^9, {
   3.8104673371347456`*^9, 3.8104673527181597`*^9}, 3.8104673989849744`*^9, 
   3.810467438850278*^9, 3.810467647383981*^9, 3.810469054168302*^9, 
   3.810484315181447*^9},
 CellLabel->"Out[3]=",ExpressionUUID->"21e420fd-5d4f-4d1d-9a27-be295632ec39"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"A", "=", 
     RowBox[{"Range", "[", "n", "]"}]}], ";", 
    RowBox[{"RelacionOrdenParcialQ", "[", 
     RowBox[{
      RowBox[{"RelBin", "[", 
       RowBox[{"\"\<a<=b\>\"", ",", "A", ",", "A"}], "]"}], ",", "A"}], 
     "]"}]}], ",", 
   RowBox[{"{", 
    RowBox[{"n", ",", "1", ",", "30"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.810470469134948*^9, 3.810470521733877*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"03a3c84b-dab5-4565-b212-39f42b8275f0"],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
  "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", 
   "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", 
   "True", ",", "True", ",", "True", ",", "True", ",", "True", ",", "True", 
   ",", "True", ",", "True"}], "}"}]], "Output",
 CellChangeTimes->{{3.810470498650459*^9, 3.81047052398518*^9}, 
   3.8104843196438546`*^9},
 CellLabel->"Out[4]=",ExpressionUUID->"6838fb35-5755-42af-af1f-38e5a865f4f1"]
}, Open  ]]
},
WindowSize->{960, 478},
WindowMargins->{{-5.5, Automatic}, {Automatic, -5.5}},
TaggingRules->{
 "WelcomeScreenSettings" -> {"FEStarting" -> False}, "TryRealOnly" -> False},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.1 para Microsoft Windows (64-bit) (March 14, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"f35f305d-eec1-4054-87ad-d66ba9df56a9"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 251, 4, 63, "Input",ExpressionUUID->"dfccd010-85e0-44b9-b47c-7cec282cffd3"],
Cell[CellGroupData[{
Cell[834, 28, 2673, 72, 925, "Input",ExpressionUUID->"c3f881fa-c1d0-4d57-8080-2a6e82f9576b"],
Cell[3510, 102, 5914, 189, 705, "Output",ExpressionUUID->"21e420fd-5d4f-4d1d-9a27-be295632ec39"]
}, Open  ]],
Cell[CellGroupData[{
Cell[9461, 296, 537, 14, 188, "Input",ExpressionUUID->"03a3c84b-dab5-4565-b212-39f42b8275f0"],
Cell[10001, 312, 637, 11, 238, "Output",ExpressionUUID->"6838fb35-5755-42af-af1f-38e5a865f4f1"]
}, Open  ]]
}
]
*)

